For the complete documentation index, see llms.txt. This page is also available as Markdown.

Passport Verify

Verifies a Nigerian Passport number and returns the holder's information including Passport photo and details.

Endpoint

POST /kyc/nga/passport

Authentication

Type
Location
Name

API Key

Header

x-api-key

Request body

Content-Type: application/json

Parameters

Parameter
Type
Required
Description

passport_number

string

Yes

Passport number to verify.

last_name

string

Yes

Holder's last name.

date_of_birth

string

Yes

Date of birth in format YYYY-MM-DD.

Request example

{
  "passport_number": "A12345678",
  "last_name": "Olamide",
  "date_of_birth": "1996-05-06"
}

Responses

200 Success

Response parameters

Parameter
Type
Description

serviceResultCode

integer

Code that indicates the overall result of the service execution. See Service Result Code

serviceTime

string

Processing time (milliseconds).

serviceResultLog

string

Descriptive field of the result of the service execution. Includes details when there is an error or exception in the module.

serviceTransactionId

string

Transaction identifier associated with the request processed by the API.

data

object

Object with the verified Passport data. See table below.

Response parameters — data

Parameter
Type
Description

passport_number

string

Verified Passport number. It may be returned masked (e.g. B0****000).

first_name

string

Name(s) of the holder.

middle_name

string

Middle name.

last_name

string

Holder's last name(s).

dob

string

Date of birth (format DD/MM/YYYY).

gender

string

Gender. Possible values: Male, Female

document_type

string

Document type (e.g. Standard E-passport).

issued_date

string | null

Issue date.

expiry_date

string | null

Expiration date.

issued_at

string | null

Place of issue.

photo

string | null

Holder's photo in Base64 (can be null).

signature

string | null

Holder's signature in format Base64 (can be null).

| mobile | string | Mobile phone number associated with the document (unmasked). |

Service Result Code

The serviceResultCode indicates the overall result of the service execution:

serviceResultCode
Description
HTTP Code

200

The service execution was successful, the module processed the request correctly.

200

Response example

400 Bad Request

Error returned with the service envelope (serviceResultCode reflects the HTTP status code of the response):

502 Bad Gateway

Returned when the service is temporarily unavailable or its response could not be interpreted. The body uses the service envelope with serviceResultCode: 500:

504 Gateway Timeout

Timeout error timeout, returned with the service envelope:

Authentication errors (401/403) are rejected by the gateway before reaching the service and do not use the envelope serviceResultCode. Platform validation errors use the format application/problem+json. See Error handling for details on the three response formats.

Last updated